﻿/* Cards */
.option-card {
    border: 2px solid rgb(199, 199, 199);
    border-radius: 12px;
    padding: 24px 16px;
    text-align: start;
    cursor: pointer;
    transition: all 0.2s ease;
    color: #4b5563;
}

    .option-card:hover {
        border-color: #9ca3af;
    }

    .option-card i {
        font-size: 28px;
        margin-bottom: 12px;
        display: block;
    }

    .option-card.active {
        border: 2px solid black;
        color: black;
    }

/* Counts */
.icon-box {
    background-color: #eae9e9;
    border-radius: 10px;
}

.btn-counter {
    width: 32px;
    height: 32px;
    border-radius: 50%;
    border: 1px solid rgb(187, 186, 186);
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
}

    .btn-counter:hover {
        border-color: black;
    }

/* Price Range */
.price-range-container {
    max-width: 100%;
}

.w-45 {
    width: 45%;
}

.price-box {
    color: grey;
    font-size: 12px;
    padding: 10px 0;
    border: 1px solid #e0e0e0;
    border-radius: 20px;
}

.slider-wrapper {
    position: relative;
    width: 100%;
    height: 40px;
    display: flex;
    align-items: center;
}

.slider-track {
    position: absolute;
    width: 100%;
    height: 6px;
    background-color: #e5e7eb;
    border-radius: 5px;
    z-index: 1;
}

input[type="range"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 100%;
    outline: none;
    position: absolute;
    background: transparent;
    pointer-events: none;
    z-index: 2;
}

    input[type="range"]::-webkit-slider-thumb {
        -webkit-appearance: none;
        height: 25px;
        width: 35px;
        background-color: #ffff;
        border-radius: 20px;
        cursor: pointer;
        pointer-events: auto;
        border: 2px solid black;
        box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
    }

    input[type="range"]::-moz-range-thumb {
        height: 20px;
        width: 20px;
        background-color: #11223e;
        border-radius: 50%;
        cursor: pointer;
        pointer-events: auto;
        border: 3px solid #fff;
    }

/* Text Area */
.custom-input {
    background-color: #f1f3f5;
    border: none;
    border-radius: 8px;
    padding: 15px 16px;
    color: rgb(178, 177, 177);
    box-shadow: none;
    font-size: 14px;
}

    .custom-input::placeholder {
        color: #9ca3af;
        font-size: 18px;
        line-height: 30px;
    }

/* Continue & Back Buttons */
.continue-btn {
    font-size: 13px;
    font-weight: bold;
    color: white;
    background: #000;
    padding: 10px 70px;
    border: 1px rgb(181, 180, 180) solid;
    border-radius: 10px;
}

    .continue-btn:hover {
        color: white;
        background: #000000d0;
    }

.back-btn {
    font-size: 13px;
    font-weight: bold;
    color: black;
    padding: 10px 70px;
    border: 1px rgb(181, 180, 180) solid;
    border-radius: 10px;
}

    .back-btn:hover {
        /* color: white; */
        background: #f5f5f5d0;
    }
